Luxor PlatformAPI DocumentationDerivatives
Get derivatives contracts
Returns a list of derivatives contracts for a specific currency type with optional filtering by status, side, and type.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Currency type for derivatives operations
Value in
- "BTC"
- "USD"
Query Parameters
status?string
Filter by contract status
Default
"ALL"Value in
- "ALL"
- "ACTIVE"
- "SETTLED"
side?string
Filter by contract side
Default
"ALL"Value in
- "ALL"
- "BUY"
- "SELL"
type?string
Filter by contract type
Default
"ALL"Value in
- "ALL"
- "STANDARD"
- "UPFRONT"
page_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/derivatives/contracts/BTC"{ "contracts": [ { "contract_id": "1001", "status": "ACTIVE", "side": "SELL", "denomination": "BTC", "type": "STANDARD", "start_date": "2025-07-17", "end_date": "2025-10-18", "unit_hashprice": 0.00005049, "daily_hashrate_ph": 20 } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}Get contract details
Returns detailed information for a specific contract including metadata and time series data for hashprice, daily gain/loss, and cumulative gain/loss.
Get derivatives payments
Returns a list of derivatives payments for a specific currency type with optional filtering by payment type.